# Class ObservationDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object for an observation, used to transfer observation data between application layers or services.

    public class ObservationDto

Inheritance
  object
  ObservationDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Diagnosis

    public List<PatientDiagnosis>? Diagnosis { get; set; }

#### Property Value

List<PatientDiagnosis>

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### MessageTime

    public DateTime MessageTime { get; set; }

#### Property Value

DateTime

### ObservationData

    public ObservationData? ObservationData { get; set; }

#### Property Value

ObservationData

### Observations

    public List<PatientObservation>? Observations { get; set; }

#### Property Value

List<PatientObservation>

### PatientNumber

    public string PatientNumber { get; set; }

#### Property Value

string

### WaitResult

    public bool WaitResult { get; set; }

#### Property Value

bool